package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaScheduleTemplateStep;
import com.ruoyi.oa.domain.vo.OaScheduleTemplateStepVo;
import com.ruoyi.oa.domain.bo.OaScheduleTemplateStepBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 进度模板步骤Service接口
 *
 * @author hdka
 * @date 2025-05-08
 */
public interface IOaScheduleTemplateStepService {

    /**
     * 查询进度模板步骤
     */
    OaScheduleTemplateStepVo queryById(Long stepId);

    /**
     * 查询进度模板步骤列表
     */
    TableDataInfo<OaScheduleTemplateStepVo> queryPageList(OaScheduleTemplateStepBo bo, PageQuery pageQuery);

    /**
     * 查询进度模板步骤列表
     */
    List<OaScheduleTemplateStepVo> queryList(OaScheduleTemplateStepBo bo);

    /**
     * 新增进度模板步骤
     */
    Boolean insertByBo(OaScheduleTemplateStepBo bo);

    /**
     * 修改进度模板步骤
     */
    Boolean updateByBo(OaScheduleTemplateStepBo bo);

    /**
     * 校验并批量删除进度模板步骤信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
